JsonDelegate (Groovy 2.5.0)
Date: 2018-05-27

groovy.json

## Class JsonDelegate

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.json.JsonDelegate

- All Implemented Interfaces:
    GroovyObject

      public class JsonDelegate
      extends GroovyObjectSupport

  Utility class used as delegate of closures representing JSON objects.
  Since:
    1.8.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonDelegate()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<java.lang.String,java.lang.Object>` | `cloneDelegateAndGetContent(Closure<?> c)` Factory method for creating `JsonDelegate`s from closures.
    `static java.util.Map<java.lang.String,java.lang.Object>` | `curryDelegateAndGetContent(Closure<?> c, java.lang.Object o)` Factory method for creating `JsonDelegate`s from closures currying an object argument.
    `java.util.Map<java.lang.String,java.lang.Object>` | `getContent()`
    `java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)` Intercepts calls for setting a key and value for a JSON object

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonDelegate

          public JsonDelegate()

  - ### Method Detail

    - #### invokeMethod

          public java.lang.Object invokeMethod(java.lang.String name,
                                               java.lang.Object args)

      Intercepts calls for setting a key and value for a JSON object
      Specified by:
        `invokeMethod` in interface `GroovyObject`
      Overrides:
        `invokeMethod` in class `GroovyObjectSupport`
      Parameters:
        `name` - the key name
        `args` - the value associated with the key
      Returns:
        the result of invoking the method

    - #### cloneDelegateAndGetContent

          public static java.util.Map<java.lang.String,java.lang.Object> cloneDelegateAndGetContent(Closure<?> c)

      Factory method for creating `JsonDelegate`s from closures.
      Parameters:
        `c` - closure representing JSON objects
      Returns:
        an instance of `JsonDelegate`

    - #### curryDelegateAndGetContent

          public static java.util.Map<java.lang.String,java.lang.Object> curryDelegateAndGetContent(Closure<?> c,
                                                                                                    java.lang.Object o)

      Factory method for creating `JsonDelegate`s from closures currying an object argument.
      Parameters:
        `c` - closure representing JSON objects
        `o` - an object curried to the closure
      Returns:
        an instance of `JsonDelegate`

    - #### getContent

          public java.util.Map<java.lang.String,java.lang.Object> getContent()